interactions:
- request:
    body: null
    headers:
      Connection:
      - close
      Host:
      - peertube.tv
      User-Agent:
      - Python-urllib/3.14
    method: GET
    uri: https://peertube.tv/.well-known/nodeinfo
  response:
    body:
      string: '{"links":[{"rel":"http://nodeinfo.diaspora.software/ns/schema/2.0","href":"https://peertube.tv/nodeinfo/2.0.json"},{"rel":"https://www.w3.org/ns/activitystreams#Application","href":"https://peertube.tv/accounts/peertube"}]}'
    headers:
      Access-Control-Allow-Origin:
      - '*'
      Connection:
      - close
      Content-Length:
      - '223'
      Content-Type:
      - application/json; charset=utf-8
      Date:
      - Sat, 28 Mar 2026 11:28:20 GMT
      ETag:
      - W/"df-TklFQ/9IV5DIROi4BSS0TgZ5/L4"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=63072000; includeSubDomains
      Tk:
      - N
      X-Frame-Options:
      - DENY
      X-RateLimit-Limit:
      - '200'
      X-RateLimit-Remaining:
      - '199'
      X-RateLimit-Reset:
      - '1774697311'
      cache-control:
      - max-age=600
      x-powered-by:
      - PeerTube
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Connection:
      - close
      Host:
      - peertube.tv
      User-Agent:
      - Python-urllib/3.14
    method: GET
    uri: https://peertube.tv/nodeinfo/2.0.json
  response:
    body:
      string: '{"version":"2.0","software":{"name":"peertube","version":"8.1.3"},"protocols":["activitypub"],"services":{"inbound":[],"outbound":["atom1.0","rss2.0"]},"openRegistrations":false,"usage":{"users":{"total":609,"activeMonth":10,"activeHalfyear":35},"localPosts":688,"localComments":86},"metadata":{"taxonomy":{"postsName":"Videos"},"nodeName":"PeerTube.TV","nodeDescription":"Videos
        sharing & live streaming on free open source software PeerTube!","nodeConfig":{"search":{"remoteUri":{"users":true,"anonymous":false}},"plugin":{"registered":[{"npmName":"peertube-plugin-creative-commons","name":"creative-commons","version":"1.2.0","description":"Standardized
        display of Creative Commons licenses. Uses short identifiers like CC BY-SA
        4.0 instead of descriptive text.","clientScripts":{"client/video-watch-client-plugin.js":{"script":"client/video-watch-client-plugin.js","scopes":["video-watch"]}}},{"npmName":"peertube-plugin-categories","name":"categories","version":"1.2.7","description":"Manage
        video categories.","clientScripts":{"src/client/admin-plugin-settings.js":{"script":"src/client/admin-plugin-settings.js","scopes":["admin-plugin"]}}},{"npmName":"peertube-plugin-video-annotation","name":"video-annotation","version":"0.2.0","description":"PeerTube
        plugin video annotation","clientScripts":{"dist/embed-client-plugin.js":{"script":"dist/embed-client-plugin.js","scopes":["embed"]},"dist/video-edit-client-plugin.js":{"script":"dist/video-edit-client-plugin.js","scopes":["video-edit"]},"dist/video-watch-client-plugin.js":{"script":"dist/video-watch-client-plugin.js","scopes":["video-watch"]}}}]},"theme":{"registered":[{"npmName":"peertube-theme-dark","name":"dark","version":"3.0.3","description":"PeerTube
        dark theme","css":["assets/style.css"],"clientScripts":{}}],"default":"default"},"email":{"enabled":true},"contactForm":{"enabled":true},"transcoding":{"hls":{"enabled":true},"web_videos":{"enabled":true},"enabledResolutions":[360]},"live":{"enabled":false,"transcoding":{"enabled":true,"enabledResolutions":[144,480,720,1080]}},"import":{"videos":{"http":{"enabled":true},"torrent":{"enabled":false}}},"autoBlacklist":{"videos":{"ofUsers":{"enabled":false}}},"avatar":{"file":{"size":{"max":8388608},"extensions":[".png",".jpeg",".jpg",".gif",".webp"]}},"video":{"image":{"extensions":[".png",".jpg",".jpeg",".webp"],"size":{"max":8388608}},"file":{"extensions":[".webm",".ogv",".ogg",".mp4",".mkv",".mov",".qt",".mqv",".m4v",".flv",".f4v",".wmv",".avi",".3gp",".3gpp",".3g2",".3gpp2",".nut",".mts",".ts",".m2ts",".mpv",".m2v",".m1v",".mpg",".mpe",".mpeg",".vob",".mxf",".mp3",".wma",".wav",".flac",".aac",".m4a",".ac3"]}},"videoCaption":{"file":{"size":{"max":20971520},"extensions":[".vtt",".srt"]}},"user":{"videoQuota":53687091200,"videoQuotaDaily":5368709120},"trending":{"videos":{"intervalDays":7}},"tracker":{"enabled":true}}}}'
    headers:
      Access-Control-Allow-Origin:
      - '*'
      Connection:
      - close
      Content-Length:
      - '2859'
      Content-Type:
      - application/json; charset=utf-8; profile="http://nodeinfo.diaspora.software/ns/schema/2.0#"
      Date:
      - Sat, 28 Mar 2026 11:28:20 GMT
      ETag:
      - W/"b2b-g18XMBMf5sGTfPJOaHXRzYFpIwA"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=63072000; includeSubDomains
      Tk:
      - N
      X-Frame-Options:
      - DENY
      X-RateLimit-Limit:
      - '50'
      X-RateLimit-Remaining:
      - '49'
      X-RateLimit-Reset:
      - '1774697311'
      cache-control:
      - max-age=600
      x-powered-by:
      - PeerTube
    status:
      code: 200
      message: OK
version: 1
